<?php
namespace Academy\Admin;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

use Academy\Helper;

class Menu {

	public static function init() {
		$self = new self();
		add_action( 'admin_menu', array( $self, 'admin_menu' ) );
	}

	/**
	 * Add admin menu page
	 *
	 * @return void
	 */
	public function admin_menu() {
		add_menu_page( __( 'Academy LMS', 'academy' ), __( 'Academy LMS', 'academy' ), 'manage_academy_instructor', ACADEMY_PLUGIN_SLUG, [ $this, 'load_main_template' ], 'dashicons-welcome-learn-more', 2 );
		foreach ( Helper::get_admin_menu_list() as $item_key => $item ) {
			add_submenu_page( ACADEMY_PLUGIN_SLUG, $item['title'], $item['title'], $item['capability'], $item_key, [ $this, 'load_main_template' ] );
		}
	}
	public function load_main_template() {
		echo '<div id="academywrap" class="academywrap"></div>';
	}
}
