<?php
namespace Academy\Frontend;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class PermalinkRewrite {
	public static function init() {
		$self = new self();
		add_action( 'generate_rewrite_rules', array( $self, 'add_rewrite_rules' ) );
		add_filter( 'query_vars', array( $self, 'gal_query_vars' ) );
	}

	public function add_rewrite_rules( $wp_rewrite ) {
		$new_rules         = [
			'course/(.+?)/lessons/(.+?)/?$' => 'index.php?source=lessons',
			'course/(.+?)/certificate/(.+?)/?$' => 'index.php?source=certificate',
		];
		$wp_rewrite->rules = $new_rules + $wp_rewrite->rules;
	}
	public function gal_query_vars( $query_vars ) {
		$query_vars[] = 'source';
		return $query_vars;
	}
}
