<?php
namespace Academy;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

use Academy\Admin\Settings;

class Migration {

	public static function init() {
		$self = new self();
		$self->run_migration();
	}

	public function run_migration() {
		$current_db_version = get_option( 'academy_db_version' );
		if ( get_option( 'academy_version' ) !== ACADEMY_VERSION ) {
			\Academy\Cache::clear_all_cache();
			$settings = new Settings();
			$settings->save_settings();
			update_option( 'academy_version', ACADEMY_VERSION );
			update_option( 'academy_flash_role_management', true );
		}
		if ( ACADEMY_DB_VERSION !== $current_db_version && version_compare( $current_db_version, '1.1', '<' ) ) {
			require_once ABSPATH . 'wp-admin/includes/upgrade.php';
			global $wpdb;
			$prefix          = $wpdb->prefix;
			$charset_collate = $wpdb->get_charset_collate();
			Database\CreateEarningsTable::up( $prefix, $charset_collate );
			Database\CreateWithdrawsTable::up( $prefix, $charset_collate );
			update_option( 'academy_db_version', ACADEMY_DB_VERSION );
		}
		if ( get_option( 'academy_flash_role_management' ) ) {
			$Installer = new \Academy\Installer();
			$Installer->add_role();
			delete_option( 'academy_flash_role_management' );
		}
	}
}
