<?php
namespace  Academy\Shortcode;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class AcademyRegistration {

	public function __construct() {
		add_shortcode( 'academy_instructor_registration_form', array( $this, 'instructor_registration_form' ) );
		add_shortcode( 'academy_student_registration_form', array( $this, 'student_registration_form' ) );
	}
	public function instructor_registration_form() {
		ob_start();
		if ( apply_filters( 'academy/shortcode/instructor_registration_form_is_user_logged_in', is_user_logged_in() ) ) {
			$dashboard_page_id = (int) \Academy\Helper::get_settings( 'frontend_dashboard_page' );
			$user_id = get_current_user_id();
			$instructor_status = '';
			if ( get_user_meta( $user_id, 'is_academy_instructor', true ) ) {
				$instructor_status = get_user_meta( $user_id, 'academy_instructor_status', true );
			}
			\Academy\Helper::get_template( 'shortcode/logged-in-instructor.php', array(
				'dashboard_url'     => get_permalink( $dashboard_page_id ),
				'instructor_status' => $instructor_status,
			) );
		} else {
			\Academy\Helper::get_template( 'shortcode/instructor.php' );
		}
		return apply_filters( 'academy/templates/shortcode/instructor', ob_get_clean() );
	}
	public function student_registration_form() {
		ob_start();
		if ( apply_filters( 'academy/shortcode/student_registration_form_is_user_logged_in', is_user_logged_in() ) ) {
			$dashboard_page_id = (int) \Academy\Helper::get_settings( 'frontend_dashboard_page' );
			\Academy\Helper::get_template( 'shortcode/logged-in-student.php', array( 'dashboard_url' => get_permalink( $dashboard_page_id ) ) );
		} else {
			\Academy\Helper::get_template( 'shortcode/student.php' );
		}
		return apply_filters( 'academy/templates/shortcode/student', ob_get_clean() );
	}
}
