<?php
namespace Academy\Traits;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

trait LessonSchema {
	public function get_item_schema() {
		return [
			'ID'                  => [
				'type'              => 'integer',
				'sanitize_callback' => 'absint',
			],
			'lesson_author'       => [
				'type'              => 'integer',
				'sanitize_callback' => 'absint',
			],
			'lesson_date'         => [
				'type'   => 'string',
				'format' => 'date-time',
			],
			'lesson_date_gmt'     => [
				'type'   => 'string',
				'format' => 'date-time',
			],
			'lesson_title'        => [
				'type'              => 'string',
				'sanitize_callback' => 'sanitize_text_field',
			],
			'lesson_content'      => [
				'type'              => 'string',
				'sanitize_callback' => 'wp_kses_post',
			],
			'lesson_excerpt'      => [
				'type'              => 'string',
				'sanitize_callback' => 'sanitize_text_field',
			],
			'lesson_status'       => [
				'type'              => 'string',
				'sanitize_callback' => 'sanitize_text_field',
			],
			'featured_media'      => [
				'type'              => 'integer',
				'sanitize_callback' => 'absint',
			],
			'comment_status'      => [
				'type'              => 'string',
				'sanitize_callback' => 'sanitize_text_field',
			],
			'comment_count'       => [
				'type'              => 'integer',
				'sanitize_callback' => 'absint',
			],
			'lesson_modified'     => [
				'type'   => 'string',
				'format' => 'date-time',
			],
			'lesson_modified_gmt' => [
				'type'   => 'string',
				'format' => 'date-time',
			],
		];
	}
	public function get_collection_params() {
		return array(
			'page'     => array(
				'description'       => __( 'Current page of the collection.', 'academy' ),
				'type'              => 'integer',
				'default'           => 1,
				'sanitize_callback' => 'absint',
				'validate_callback' => 'rest_validate_request_arg',
				'minimum'           => 1,
			),
			'per_page' => array(
				'description'       => __( 'Maximum number of items to be returned in result set.', 'academy' ),
				'type'              => 'integer',
				'default'           => 10,
				'minimum'           => 1,
				'maximum'           => 100,
				'sanitize_callback' => 'absint',
				'validate_callback' => 'rest_validate_request_arg',
			),
			'search'   => array(
				'description'       => __( 'Limit results to those matching a string.', 'academy' ),
				'type'              => 'string',
				'sanitize_callback' => 'sanitize_text_field',
				'validate_callback' => 'rest_validate_request_arg',
			),
		);
	}
}
