<?php
namespace Academy\Traits;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

trait Lessons {

	public static function get_lesson( $ID ) {
		global $wpdb;
		$lessons                     = $wpdb->get_results( $wpdb->prepare( "SELECT * FROM {$wpdb->prefix}academy_lessons WHERE ID=%d", $ID ), OBJECT );
		$lessons[0]->lesson_content = stripslashes( $lessons[0]->lesson_content );
		$lessons[0]->author_username = get_the_author_meta( 'user_login', $lessons[0]->lesson_author );
		$lessons[0]->meta            = self::get_lesson_meta_data( $ID );
		return $lessons;
	}
	public static function get_lesson_meta_data( $ID ) {
		global $wpdb;
		$meta_data = [];
		$results = $wpdb->get_results( $wpdb->prepare( "SELECT meta_key, meta_value FROM {$wpdb->prefix}academy_lessonmeta WHERE lesson_id=%d", $ID ), OBJECT );
		foreach ( $results as $result ) {
			$meta_data[ $result->meta_key ] = json_decode( stripslashes( $result->meta_value ), true );
		}
		return $meta_data;
	}
	public static function get_lesson_meta( $ID, $meta_key ) {
		global $wpdb;
		$lesson_meta = current( $wpdb->get_results( $wpdb->prepare( "SELECT meta_key, meta_value FROM {$wpdb->prefix}academy_lessonmeta WHERE lesson_id=%d AND meta_key=%s", $ID, $meta_key ), OBJECT ) );
		if ( $lesson_meta ) {
			return json_decode( stripslashes( $lesson_meta->meta_value ), true );
		}
		return null;
	}
	public static function get_render_popup_lesson_ajax_url( $ID = null ) {
		return esc_url(
			add_query_arg(
				array(
					'action'   => 'academy/frontend/render_popup_lesson',
					'security' => wp_create_nonce( 'academy_nonce' ),
					'ID'       => $ID,
				),
				admin_url( 'admin-ajax.php' )
			)
		);
	}
}
