<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

	get_header( 'course' );

	$sidebar_position = \Academy\Helper::get_customizer_settings('archive_course_sidebar', 'right');
?>

<?php
	/**
	 * academy/templates/before_main_content hook.
	 */
	do_action( 'academy/templates/before_main_content', 'archive-course.php' );
?>

<div class="academy-courses">
	<div class="academy-container">
		<div class="academy-row">
			<div class="academy-col-12">
				<?php do_action( 'academy/templates/archive_course_header' ); ?>
			</div>
			<?php 
				if($sidebar_position === 'left') :
			?>
				<div class="academy-col-md-3"><?php do_action( 'academy/templates/archive_course_sidebar' ); ?></div> 
			<?php 
				endif; 
			?>
			<div class="<?php echo esc_attr($sidebar_position === 'none' ? 'academy-col-12' : 'academy-col-md-9'); ?>"><?php do_action( 'academy/templates/archive_course_content' ); ?></div>
			<?php 
				if($sidebar_position === 'right') :
			?>
				<div class="academy-col-md-3"><?php do_action( 'academy/templates/archive_course_sidebar' ); ?></div> 
			<?php 
				endif; 
			?>
			<div class="academy-col-12"><?php do_action( 'academy/templates/archive_course_footer' ); ?>
			</div>
		</div>
	</div>
</div>

<?php
	/**
	 * academy/templates/after_main_content hook.
	 */
	do_action( 'academy/templates/after_main_content', 'archive-course.php' );
?>

<?php
get_footer( 'course' );
