<?php

if ( empty( $curriculum ) ) {
	return;
} ?>
<div class="academy-single-course__content-item academy-single-course__content-item--curriculum">
	<div class="academy-course-curriculum-header">
		<h4 class="academy-curriculum-title"><?php esc_html_e( 'Topics for this course', 'academy' ); ?></h4>
	</div>

	<ul class="academy-accordion">
		<?php
		if ( is_array( $curriculum ) && count( $curriculum ) ) :
			foreach ( $curriculum as $curriculum_item ) :
				?>
		<li>
			<a class="academy-accordion__title"><?php echo $curriculum_item['title']; ?></a>
			<div class="academy-accordion__body">
				<?php
				if ( is_array( $curriculum_item['topics'] ) && count( $curriculum_item['topics'] ) > 0 ) {
					?>
						<ul class="academy-lesson-list">
					<?php
					foreach ( $curriculum_item['topics'] as $topic ) {
						$is_preview_able = (bool) ( isset( $lessons[ $topic['id'] ]['is_preview_able'] ) ? $lessons[ $topic['id'] ]['is_preview_able'] : false );
						$featured_image_url = ( isset( $lessons[ $topic['id'] ]['featured_media'] ) ? $lessons[ $topic['id'] ]['featured_media'] : '' );
						$duration = ( ! empty( $lessons[ $topic['id'] ]['video_duration'] ) ? $lessons[ $topic['id'] ]['video_duration'] : [
							'hours' => '00',
							'minutes' => '00',
							'seconds' => '00',
						] ); ?>
								<li class="academy-lesson-list__item">
									<div class="academy-entry-thumbnail" <?php echo( $featured_image_url != '' ? 'style="background-image: url(' . $featured_image_url . ')"' : '' ); ?>>
									<?php
									if ( $featured_image_url == '' ) :
										?>
										<i class="academy-icon academy--youtube-play" aria-hidden="true"></i>
										<?php endif; ?>
									</div>
									<div class="academy-entry-content">
										<h4 class="academy-entry-title"><?php echo $topic['name']; ?></h4>
										<p class="academy-entry-time"><?php echo implode( ':', $duration ); ?></p>
									</div>
									<div class="academy-entry-control">
										<?php
										if ( $is_preview_able ) :
											?>
											<a class="academy-btn-play" href="<?php echo \Academy\Helper::get_render_popup_lesson_ajax_url( $topic['id'] ); ?>" rel="modal:open">
												<i class="academy-icon academy-icon--eye"></i>
											</a>
										<?php else : ?>
											<a href="javascript:void(0);" class="academy-btn-play academy-btn-play-lock" disabled="disabled">
												<i class="academy-icon academy-icon--lock"></i>
											</a>
										<?php endif; ?>
									</div>
							<?php
					}//end foreach
					?>
						</ul>
					<?php
				}//end if
				?>
			</div>
		</li>
				<?php
				endforeach;
			endif;
		?>
	</ul>
</div>
