<?php
if ( ! $is_enrolled ) :
	?>
<div class="academy-widget-enroll__head">
	<?php
	if ( $is_paid ) {
		if($price){
			echo '<div class="academy-course-price">' . $price . '</div>';
		} else {
			echo '<div class="academy-course-type">' . esc_html__( 'Paid', 'academy' ) . '</div>';
		}
	} else {
		echo '<div class="academy-course-type">' . esc_html__( 'Free', 'academy' ) . '</div>';
	}
	?>
</div>
<?php endif; ?>
<div class="academy-widget-enroll__content">
	<ul class="academy-widget-enroll__content-lists">
		<?php
		if ( $duration ) :
			?>
		<li>
			<span class="label">
				<span class="academy-icon academy-icon--clock"></span>
			<?php esc_html_e( 'Duration', 'academy' ); ?>
			</span>
			<span class="data"><?php echo $duration; ?></span>
		</li>
			<?php
			endif;
		?>
		<?php
		if ( $total_lessons ) :
			?>
		<li>
			<span class="label">
				<i class="academy-icon academy-icon--lesson"></i>
			<?php esc_html_e( 'Lesson', 'academy' ); ?>
			</span>
			<span class="data"><?php echo $total_lessons; ?></span>
		</li>
			<?php
			endif;
		?>
		<?php
		if ( $total_enrolled ) :
			?>
		<li>
			<span class="label">
				<i class="academy-icon academy-icon--group-profile"></i>
			<?php esc_html_e( 'Enrolled', 'academy' ); ?>
			</span>
			<span class="data"><?php echo $total_enrolled; ?></span>
		</li>
			<?php
			endif;
		?>
		<?php
		if ( $language ) :
			?>
		<li>
			<span class="label">
				<i class="academy-icon academy-icon--language"></i>
			<?php esc_html_e( 'Language', 'academy' ); ?>
			</span>
			<span class="data"><?php echo $language; ?></span>
		</li>
			<?php
			endif;
		?>
		<?php
		if ( $skill ) :
			?>
		<li>
			<span class="label">
				<span class="academy-icon academy-icon--skill"></span>
			<?php esc_html_e( 'Skill', 'academy' ); ?>
			</span>
			<span class="data"><?php echo $skill; ?></span>
		</li>
			<?php
			endif;
		?>
		<?php
		if ( $last_update ) :
			?>
		<li>
			<span class="label">
				<i class="academy-icon academy-icon--calender"></i>
			<?php esc_html_e( 'Last Update', 'academy' ); ?>
			</span>
			<span class="data"><?php echo $last_update; ?></span>
		</li>
			<?php
			endif;
		?>
	</ul>
</div>

<?php
if ( $enrolled ) :
	?>
<div class="academy-widget-enroll__enrolled-info">
	<?php
	echo sprintf(__( 'You have been enrolled on %s', 'academy' ), '<span>' . date_i18n(
		get_option( 'date_format' ),
		strtotime( $enrolled->post_date )
	) . '</span>');
	?>
</div>
<?php endif; ?>
