<?php
/**
 * The Template for displaying all single courses
 *
 * This template can be overridden by copying it to yourtheme/academy/single-course.php.
 *
 * the readme will list any important changes.
 *
 * @version     1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>" />
	<meta name="viewport" content="width=device-width, initial-scale=1" />
	<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>

	<?php
		/**
		 * academy/templates/before_main_content hook.
		 */
		do_action( 'academy/templates/before_main_content', 'single-lessons.php' );
	?>
		<div id="academyLessonsWrap" class="academy-lessons" data-courseName="<?php echo get_the_title(); ?>" data-courseID="<?php echo get_the_ID(); ?>" data-courseParmalink="<?php echo get_the_permalink(); ?>"></div>
	<?php
		/**
		 * academy/templates/after_main_content hook.
		 *
		 * @hooked
		 */
		do_action( 'academy/templates/after_main_content', 'single-lessons.php' );
	?>


<?php wp_footer(); ?>

</body>
</html>
